function getBearing(obj1PosX, obj1PosZ, obj2PosX, obj2PosZ)
   local bearing = math.atan2(obj2PosZ - obj1PosZ, obj2PosX - obj1PosX)
   if bearing < 0 then
       bearing = bearing + 2 * math.pi
   end
   bearing = bearing * 180 / math.pi
   return bearing    -- degrees
end

function getDistance(obj1PosX, obj1PosZ, obj2PosX, obj2PosZ)
   local xDiff = obj1PosX - obj2PosX
   local yDiff = obj1PosZ - obj2PosZ
   return math.sqrt(xDiff * xDiff + yDiff * yDiff) -- meters
end


function nextLocation(ambulance, delay, voice)
	local static_object = StaticObject.getByName(ambulance)
	local staticPos = static_object:getPosition()

	local player = Unit.getByName('Enfield1-1')
	local playerPos = player:getPosition()

	local distance = getDistance(playerPos.p.x, playerPos.p.z, staticPos.p.x, staticPos.p.z)
	local bearing = string.format("%03d",getBearing(playerPos.p.x, playerPos.p.z, staticPos.p.x, staticPos.p.z))
	local bearing1 = string.sub(bearing,1,1)
	local bearing2 = string.sub(bearing,2,2)
	local bearing3 = string.sub(bearing,3,3)
	trigger.action.outText('Patient unloaded. You are cleared for takeoff, heading ' .. bearing .. ' degrees.',25, false,delay)
	trigger.action.outSoundForGroup(1,'DictKey_ActionText_Unloaded1_' .. voice .. '1.wav',delay)
	trigger.action.outSound('DictKey_ActionText_Number' .. bearing1 .. '_' .. voice .. '1.wav', delay+3)
	trigger.action.outSound('DictKey_ActionText_Number' .. bearing2 .. '_' .. voice .. '1.wav', delay+3.5)
	trigger.action.outSound('DictKey_ActionText_Number' .. bearing3 .. '_' .. voice .. '1.wav', delay+4)
	trigger.action.outSound('DictKey_ActionText_degrees_' .. voice .. '1.wav',delay+4.5)
end

function nextLocationUnit(mobileUnit, delay, voice)
	local unitObject = Unit.getByName(mobileUnit)
	local unitPos = unitObject:getPosition()

	local player = Unit.getByName('Enfield1-1')
	local playerPos = player:getPosition()

	local distance = getDistance(playerPos.p.x, playerPos.p.z, unitPos.p.x, unitPos.p.z)
	local bearing = string.format("%03d",getBearing(playerPos.p.x, playerPos.p.z, unitPos.p.x, unitPos.p.z))
	local bearing1 = string.sub(bearing,1,1)
	local bearing2 = string.sub(bearing,2,2)
	local bearing3 = string.sub(bearing,3,3)
	trigger.action.outText('Patient unloaded. You are cleared for takeoff, heading ' .. bearing .. ' degrees.',25, false,delay)
	trigger.action.outSoundForGroup(1,'DictKey_ActionText_Unloaded1_' .. voice .. '1.wav',delay)
	trigger.action.outSound('DictKey_ActionText_Number' .. bearing1 .. '_' .. voice .. '1.wav', delay+3)
	trigger.action.outSound('DictKey_ActionText_Number' .. bearing2 .. '_' .. voice .. '1.wav', delay+3.5)
	trigger.action.outSound('DictKey_ActionText_Number' .. bearing3 .. '_' .. voice .. '1.wav', delay+4)
	trigger.action.outSound('DictKey_ActionText_degrees_' .. voice .. '1.wav',delay+4.5)
end